typedef struct {
	unsigned long StartTime;
   unsigned long EndTime;
   unsigned long LastMS;
   int  FPS;
   int  MSPF;
   int  Count;
   int  CurrentFPS;
   bool Active;
   } timer_info;

timer_info Timer;

void Timer_Init(void);
void Timer_Time(void);

void Timer_Init(void)
{

	Timer.StartTime =  GetTickCount();
   Timer.LastMS = Timer.StartTime;
   Timer.MSPF=config.mspf;
   Timer.Active=config.usetimer;
   Timer.Count=1;
}

void Timer_Time(void)
{

	Timer.EndTime = GetTickCount();
   ++Timer.CurrentFPS;
   if ((Timer.EndTime-Timer.LastMS)>=1000) {
   	Timer.LastMS+=1000;
      Timer.FPS=Timer.CurrentFPS;
      Timer.CurrentFPS=0;
      }
   if (Timer.Active) {
      Timer.Count = (Timer.EndTime-Timer.StartTime)/Timer.MSPF;
      if ((Timer.EndTime-Timer.StartTime)>=Timer.MSPF) Timer.StartTime = Timer.EndTime;
   	}
}
